import { TextField } from "@mui/material";
import React from "react";
import { FieldError } from "../../pages";
interface AddApiKeyProps {
  getFieldError: (field: string) => FieldError;
 }
 
const AddApiKey = ({getFieldError}:AddApiKeyProps) => {
  return (
    <>
      <TextField
        error={getFieldError("title").valid}
        margin="normal"
        required
        fullWidth
        id="title"
        label="Title"
        name="title"
        autoComplete="title"
        autoFocus
        helperText={getFieldError("title").text}
      />
      <TextField
        error={getFieldError("key").valid}
        margin="normal"
        required
        fullWidth
        name="key"
        label="Key"
        id="key"
        autoComplete="key"
        helperText={getFieldError("key").text}
        multiline
        rows={4}
      />
      <TextField
        error={getFieldError("secret").valid}
        margin="normal"
        required
        fullWidth
        id="secret"
        label="Secret"
        name="secret"
        autoComplete="secret"
        autoFocus
        helperText={getFieldError("secret").text}
        multiline
        rows={4}
      />
    </>
  );
};

export default AddApiKey;
