'use client';
import { Grid, Paper } from '@mui/material';
import { useRouter } from 'next/router';
import React, { useEffect } from 'react'
import DashboardLayout from '../../components/dashboard/Layout';
import RequireLogin from '../../guards/RequireLogin';
import Profile from '../../components/dashboard/Profile';
import { useAuth } from '../../contexts/AuthContext';
import { axiosPrivate } from '../../api/axios';



function ProfileById() {
  const { setNavTitle, token } = useAuth();
  const router = useRouter();
  const keyId = router.query["id"];
  console.log('KeyID',keyId);


  if(!keyId){
    return <></>
  }

  const fetchData = async () => {
    try {
      if (token) {
        const response = await axiosPrivate(token).get("/api/apiKeys/"+keyId);
        const data = response.data;
        setNavTitle('Profile - '+data['title']);
      }
    } catch (e) {
      // TODO: Handle errors
    }
  };

  useEffect(() => {
    fetchData();
  }, [token]);


  return (
    <RequireLogin>
    <DashboardLayout>
      <Grid container spacing={3} justifyContent="center" alignItems="center">
          {/* Profile */}
          <Grid item xs={12} md={6} lg={6}>
            <Paper
              sx={{
                p: 2,
                display: "flex",
                flexDirection: "column",
              }}
            >
              <Profile id={keyId} />
            </Paper>
          </Grid>
      </Grid>
    </DashboardLayout>
  </RequireLogin>
  )
}

export default ProfileById